<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <!--/*@thymesVar id="file" type="com.me.autoreload.DirectoryEntry"*/-->
    <title th:text="'[LIVE]  ' + ${file.name} + '  (' + ${file.absolute} + ')'">_title</title>
    <style>
        #frame {
            display: block;
            border: none;
            height: 100vh;
            width: 100vw;
        }
        body {
            margin: 0;
        }
    </style>
</head>
<body>
<!--/*@thymesVar id="file" type="com.me.autoreload.DirectoryEntry"*/-->
<iframe name="frame" id="frame" th:src="${'/' + file.relative}"></iframe>
<script>
    var socket;
    function initSocket() {
        socket = new WebSocket('ws://' + location.host + '/ws');
        socket.onmessage = function () {
            var frame = window.frames['frame'];
            var scrollX = frame.document.body.scrollLeft;
            var scrollY = frame.document.body.scrollTop;

            var element = document.getElementById('frame');
            element.contentWindow.location.reload(true);

            element.onload = function () {
                frame.document.body.scrollLeft = scrollX;
                frame.document.body.scrollTop = scrollY;
            };
        };
        socket.onclose = function (event) {
            socket = initSocket();
        };
    }

    initSocket();
</script>
</body>
</html>